iSectorList Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSectorList Struct Reference
Crystal Space 3D Engine

A list of sectors. More...

`#include <iengine/sector.h>`

Inheritance diagram for iSectorList:

List of all members.

## Public Member Functions
virtual int | Add (iSector *obj)=0
| Add a sector.
virtual int | Find (iSector *obj) const =0
| Find a sector and return its index.
virtual iSector * | FindByName (const char *Name) const =0
| Find a sector by its name.
virtual iSector * | Get (int n) const =0
| Return the sector at the given index.
virtual int | GetCount () const =0
| Return the number of sectors in this list.
virtual bool | Remove (iSector *obj)=0
| Remove a sector.
virtual bool | Remove (int n)=0
| Remove the sector at the given index.
virtual void | RemoveAll ()=0
| Remove all sectors.

## Detailed Description

A list of sectors.

Main ways to get pointers to this interface:

- iEngine::GetSectors()
- iMovable::GetSectors()

Main users of this interface:

- iEngine

Definition at line 547 of file sector.h.

## Member Function Documentation

virtual int iSectorList::Add | ( | iSector * | obj | ) | `[pure virtual]`

Add a sector.

Returns:
  The index of the newly added sector.

virtual int iSectorList::Find | ( | iSector * | obj | ) | const`[pure virtual]`

Find a sector and return its index.

Returns:
  The index of the sector, or csArrayItemNotFound if the sector was not found

virtual iSector* iSectorList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a sector by its name.

Returns:
  The sector with the given name, or 0 if the name was not found.

virtual iSector* iSectorList::Get | ( | int | n | ) | const`[pure virtual]`

Return the sector at the given index.

virtual int iSectorList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of sectors in this list.

virtual bool iSectorList::Remove | ( | iSector * | obj | ) | `[pure virtual]`

Remove a sector.

Returns:
  True if the sector has been found and deleted, false otherwise.

virtual bool iSectorList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the sector at the given index.

Returns:
  True if the given index was valid, false otherwise.

virtual void iSectorList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all sectors.

The documentation for this struct was generated from the following file:

- iengine/sector.h